Subject: Re: I-D ACTION:draft-mcpherson-rfc3065bis-00.txt

From: Jeffrey Haas <[email-masked]>
Date: Thu, 17 Oct 2002 11:50:39 -0400

On Thu, Sep 19, 2002 at 10:58:29AM -0400, Tian Fang wrote:
> I have a question that whether MED of routes from confederation members
> should be compared or not, which is not clear in both rfc3065 and the new
> draft.
> 
> In bgp-4 draft 17, neighborAS(route) is used to get the neighbor AS of the
> route. However, what should be returned by neighborAS() when the route
> includes AS_CONFED_SEQUENCE/AS_CONFED_SET segments?
> 
> To my understanding, if AS_SET/AS_SEQUENCE exist(s) in the aspath, the first
> (leftmost) AS in AS_SEQUENCE should be returned by neighborAS(), no matter
> whether AS_CONFED_SEQUENCE/AS_CONFED_SET exist(s) or not. if only
> AS_CONFED_SEQUENCE/AS_CONFED_SET exist(s) in the aspath, the first
> (leftmost) AS in AS_CONFED_SEQUENCE should be returned by neighborAS().
> 
> If my understanding is correct, should it included in somewhere to make it
> clear?

The document should be clarified.
GateD currently pays attention to the neighboring AS regardless of
whether its a confederation or not.
The *DEFAULT* behavior of Cisco and Juniper is to not pay attention,
but that depends which of way too many knobs are set.  

http://www.cisco.com/en/US/tech/tk648/tk365/technologies_tech_note09186a0080094431.shtml
http://www.juniper.net/techpubs/software/junos54/swconfig54-routing/html/protocols-overview4.html#1014020

Just the fact that so many knobs are available sheds light on the
fact that many ISPs think MEDs are just evil and should be stripped.

> Tian Fang

-- 
Jeff Haas 
NextHop Technologies